// Copyright 2017 Polymorph. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "Dinkey.generated.h"

DECLARE_LOG_CATEGORY_EXTERN(LogDinkeyPlugin, Log, All);

UCLASS()
class UDinkey : public UObject
{
	GENERATED_UCLASS_BODY()

public:
	static void Initialize();
	static void Finalize();

	UFUNCTION(BlueprintCallable, Category = "Dinkey")
	static int ProtCheck();								// a standard protection check

private:
	static void* DpWinDllHandle;

	static void random_set(void *buffer, int length);
	static void DisplayError(int ret_code, int extended_error);
};
